Subject: Re: linux-next: build warnings from the build of Linus' tree

From: Masami Hiramatsu <[email-masked]>
Date: Sun, 26 Aug 2018 03:53:23 +0900

Hi Arnd,

On Fri, 24 Aug 2018 14:46:16 +0200
Arnd Bergmann <[email-masked]> wrote:

> On Fri, Aug 24, 2018 at 10:23 AM Masami Hiramatsu <[email-masked]> wrote:
> >
> > On Fri, 24 Aug 2018 13:32:06 +1000
> > Stephen Rothwell <[email-masked]> wrote:
> >
> > > Hi all,
> > >
> > > After merging the origin tree, today's linux-next build (powerpc
> > > allyesconfig) produced these warnings:
> > >
> > > Maybe introduced by commit
> > >
> > >   6b7dca401cb1 ("tracing: Allow gcov profiling on only ftrace subsystem")
> > >
> > > I am guessing, but that is the only new thing that affects all of
> > > kernel/trace ...
> >
> > Yes, I agree. But I just followed Documentation/dev-tools/gcov.rst
> > to enable profiling in kernel/trace. Hmm, doesn't ppc64 support
> > GCOV_PROFILE?  (But as far as I can see, ARCH_HAS_GCOV_PROFILE_ALL
> > is enabled in arch/powerpc/Kconfig)
> >
> > Anyway, I'll try to reproduce it.
> 
> Thje same commit causes a link failure on ARM with a randconfig
> kernel (see https://pastebin.com/KspjpyKG for the .config):

OK, I confirmed that this happened with both gcc-7.3.0 and gcc-8.1.0
with your config.
I also confirmed that CONFIG_GCOV_PROFILE_ALL causes same issue.
(Note that CONFIG_GCOV_PROFILE_ALL depends on !CONFIG_COMPILE_TEST,
 so allyesconfig disables it always)

Hmm, now gcov kernel itself might have a problem on arm and 
powerpc(on gcc-8)?

Thanks,

-- 
Masami Hiramatsu <[email-masked]>